Bug 167627 - smb client errors smb_add_request and smb_lookup fail accessing folder
smb client errors smb_add_request and smb_lookup fail accessing folder
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-06 09:27 EDT by Brent R Brian
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:30:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent R Brian 2005-09-06 09:27:26 EDT
smb client (fc4) reporting errors accessing a samba share (fc1).

I have 3 fc1 machines and 2 fc4 machines.  The only one reporting
problems is configured:

  IBM TP 600e, 8139too 10/100.

She is up-to-date (via synaptic/apt-get) as of 9/5/2005.

The share is mounted at:

/mnt/smb/gateway

The file I am attempting to access is:

/mnt/smb/gateway/samba/My Family/Kirsten/homework

The errors I get are (samba log):

[2005/09/05 18:25:29, 0] client/smbmount.c:send_fs_socket(406)  mount.smbfs:
entering daemon mode for service \\gateway\all, pid=3450

[2005/09/05 18:57:32, 0] tdb/tdbutil.c:tdb_log(725) 
tdb(/var/cache/samba/gencache.tdb): tdb_lock failed on list 94 ltype=0 (Bad file
descriptor)

from messages:

Sep  5 22:01:13 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1042]
timed out!
Sep  5 22:01:13 ibm600e_2 kernel: smb_lookup: find //samba failed, error=-5
Sep  5 22:01:43 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1043]
timed out!
Sep  5 22:01:43 ibm600e_2 kernel: smb_lookup: find //backup failed, error=-5
Sep  5 22:02:13 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1044]
timed out!
Sep  5 22:02:13 ibm600e_2 kernel: smb_lookup: find //lost+found failed, error=-5
Sep  5 22:02:43 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1045]
timed out!
Sep  5 22:03:13 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1046]
timed out!
Sep  5 22:03:13 ibm600e_2 kernel: smb_lookup: find //samba failed, error=-5
Sep  5 22:03:43 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1047]
timed out!
Sep  5 22:03:43 ibm600e_2 kernel: smb_lookup: find //samba failed, error=-5
Sep  5 22:04:13 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1048]
timed out!
Sep  5 22:04:13 ibm600e_2 kernel: smb_lookup: find //samba failed, error=-5
Sep  5 22:04:43 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1049]
timed out!
Sep  5 22:04:43 ibm600e_2 kernel: smb_lookup: find //samba failed, error=-5
Sep  5 22:05:13 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1050]
timed out!
Sep  5 22:05:13 ibm600e_2 kernel: smb_lookup: find //samba failed, error=-5
Sep  5 22:05:43 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1051]
timed out!
Sep  5 22:05:43 ibm600e_2 kernel: smb_lookup: find //backup failed, error=-5
Sep  5 22:06:13 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1052]
timed out!
Sep  5 22:06:13 ibm600e_2 kernel: smb_lookup: find //lost+found failed, error=-5
Sep  5 22:06:43 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1053]
timed out!
Sep  5 22:07:13 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1054]
timed out!
Sep  5 22:07:13 ibm600e_2 kernel: smb_lookup: find //samba failed, error=-5
Sep  5 22:07:43 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1055]
timed out!
Sep  5 22:07:43 ibm600e_2 kernel: smb_lookup: find //samba failed, error=-5
Sep  5 22:08:13 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1056]
timed out!
Sep  5 22:08:13 ibm600e_2 kernel: smb_lookup: find //samba failed, error=-5
Sep  5 22:08:43 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1057]
timed out!
Sep  5 22:08:43 ibm600e_2 kernel: smb_lookup: find //samba failed, error=-5
Sep  5 22:09:13 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1058]
timed out!
Sep  5 22:09:13 ibm600e_2 kernel: smb_lookup: find //samba failed, error=-5
Sep  5 22:09:43 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1059]
timed out!
Sep  5 22:09:43 ibm600e_2 kernel: smb_lookup: find //backup failed, error=-5
Sep  5 22:10:13 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1060]
timed out!
Sep  5 22:10:13 ibm600e_2 kernel: smb_lookup: find //lost+found failed, error=-5
Sep  5 22:10:43 ibm600e_2 kernel: smb_add_request: request [cb2f83a0, mid=1061]
timed out!

I have not been able to access this folder, so far.  I can on all the fc1 machines.

I use the file browser to traverse the tree, when I click on 'homework' the
console starts logging messages (see above).

B
Comment 1 Brent R Brian 2005-09-06 09:29:51 EDT
The 600e is FC4.
Comment 2 Jay Fenlason 2005-09-06 10:17:44 EDT
smbfs is part of the kernel, so I'm reassigning this to the kernel 
maintainers.  Unfortunatly, smbfs is unmaintained upstream.  Have you tried 
using cifs instead?  Use something like "mount -t cifs //server/share 
/mountpoint".  cifs has maintainers. 
Comment 3 Brent R Brian 2005-09-07 09:53:27 EDT
Did not know about CIFS .... will look into it.

Bugzilla 162677 may be related, I start getting my errors on a 'cd' command as well.
Comment 4 Dave Jones 2005-09-30 03:15:07 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 5 Dave Jones 2005-11-10 15:23:56 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 6 Dave Jones 2006-02-03 02:24:28 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 7 John Thacker 2006-05-04 21:30:23 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.